# BlockOPoints

class `psi4.core.``BlockOPoints`

  Bases: `pybind11_builtins.pybind11_object`

  docstring

  Methods Summary

  `functions_local_to_global`(self) | docstring
  `npoints`(self) | docstring
  `print_out`(self, out_fname, print) | docstring
  `refresh`(self) | docstring
  `shells_local_to_global`(self) | docstring
  `w`(self) |
  `x`(self) |
  `y`(self) |
  `z`(self) |

  Methods Documentation

  `functions_local_to_global`(self: psi4.core.BlockOPoints) → List[int]

    docstring

  `npoints`(self: psi4.core.BlockOPoints) → int

    docstring

  `print_out`(self: psi4.core.BlockOPoints, out_fname: str='outfile', print: int=2) → None

    docstring

  `refresh`(self: psi4.core.BlockOPoints) → None

    docstring

  `shells_local_to_global`(self: psi4.core.BlockOPoints) → List[int]

    docstring

  `w`(self: psi4.core.BlockOPoints) → psi4.core.Vector
  `x`(self: psi4.core.BlockOPoints) → psi4.core.Vector
  `y`(self: psi4.core.BlockOPoints) → psi4.core.Vector
  `z`(self: psi4.core.BlockOPoints) → psi4.core.Vector
  `functions_local_to_global`(self: psi4.core.BlockOPoints) → List[int]

    docstring

  `npoints`(self: psi4.core.BlockOPoints) → int

    docstring

  `print_out`(self: psi4.core.BlockOPoints, out_fname: str='outfile', print: int=2) → None

    docstring

  `refresh`(self: psi4.core.BlockOPoints) → None

    docstring

  `shells_local_to_global`(self: psi4.core.BlockOPoints) → List[int]

    docstring

  `w`(self: psi4.core.BlockOPoints) → psi4.core.Vector
  `x`(self: psi4.core.BlockOPoints) → psi4.core.Vector
  `y`(self: psi4.core.BlockOPoints) → psi4.core.Vector
  `z`(self: psi4.core.BlockOPoints) → psi4.core.Vector